\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{paf}[2017/12/14 Extension personnelle, V1.0]

\LoadClass[a4paper, 12pt]{article}

%------extensions
\RequirePackage[utf8x]{inputenc}
\RequirePackage[T1]{fontenc}
\RequirePackage{lmodern}
\usepackage{xspace}
\RequirePackage[frenchb]{babel}
\RequirePackage{amsbsy,amsfonts,amsmath,amssymb,eucal,color,mathrsfs,array}
\RequirePackage{enumitem}
\RequirePackage{graphicx}
\RequirePackage{fancyhdr}
\RequirePackage{xcolor}
\RequirePackage{tikz}
\RequirePackage[colorlinks=true, linkcolor=cyan, urlcolor=cyan]{hyperref}
%-------marges
\addtolength{\voffset}{-1.5cm}
\addtolength{\hoffset}{-2.6cm}
\setlength{\topmargin}{0cm}
\setlength{\headheight}{0cm}
\setlength{\headsep}{0cm}

\setlength{\textwidth}{19cm}
\setlength{\textheight}{26cm}

%------En-têtes et pieds de pages
\renewcommand\headrulewidth{0pt}
\pagestyle{fancy}
\fancyhead[L]{}
\fancyhead[R]{}
\fancyfoot[C]{}
\fancyfoot[R]{}

%-----définitions couleurs
%\xdefinecolor{J}{named}{yellow}
%\xdefinecolor{O}{named}{orange}
%\xdefinecolor{B}{named}{cyan}
%\xdefinecolor{animateurs}{named}{white}

%-------options selon niveaux
%\newif\if@fiche     \@fichefalse
%\newif\if@orange \@orangefalse
%\newif\if@bleu \@bleufalse
%\newif\if@animateurs \@animateursfalse

%\DeclareOption{eleves}{\@elevestrue}
%\DeclareOption{fiche}{\@fichetrue}
%\DeclareOption*{}
%\ProcessOptions

%------environnements questions
\frenchbsetup{StandardLists=true}


\newenvironment{questions}
  {\begin{enumerate}[label={\bf \arabic*.}]\fontsize{18}{26}\selectfont\bf}
  {\end{enumerate}}

\newenvironment{sousquestions}
  {\begin{enumerate}[label=(\alph*)]}
  {\end{enumerate}}

\makeatletter
\newenvironment{texte}
  {\begin{list}{}{\@totalleftmargin=0cm\leftmargin=0cm\rightmargin=0cm
                  \itemindent=0em\listparindent=0em}\item\fontsize{18}{26}\normalfont}
  {\end{list}}
\makeatother


%--------style du texte
\setlength{\parindent}{0pt} 


%parties :
\makeatletter

\newcommand\partie{\@startsection {section}{1}{\z@}%
                                   {-3.5ex \@plus -1ex \@minus -.2ex}%
                                   {2.3ex \@plus.0ex}%
                                   {\normalfont\Large\bfseries\underline}}
\makeatother

%------Fin
\endinput


